summaryrefslogtreecommitdiffstats
path: root/tests/shelltest/test_gluster_container_basic.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shelltest/test_gluster_container_basic.sh')
-rwxr-xr-xtests/shelltest/test_gluster_container_basic.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/tests/shelltest/test_gluster_container_basic.sh b/tests/shelltest/test_gluster_container_basic.sh
new file mode 100755
index 0000000..8d139ca
--- /dev/null
+++ b/tests/shelltest/test_gluster_container_basic.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+SCRIPT_DIR=$(cd $(dirname ${0}); pwd)
+TESTS_DIR="${SCRIPT_DIR}/.."
+INC_DIR="${TESTS_DIR}/common"
+BASE_DIR="${SCRIPT_DIR}/../.."
+
+GK_DEPLOY="${DEPLOY_DIR}/"
+
+source "${INC_DIR}/subunit.sh"
+
+
+test_syntax() {
+ local file="${1}"
+ bash -n ${file}
+}
+
+test_shellcheck() {
+ local file="${1}"
+ if ! which shellcheck ; then
+ echo "ShellCheck not found: skipping..."
+ return 0
+ fi
+
+ shellcheck -s bash -e SC2181 ${file}
+}
+
+failed=0
+
+testit "test script syntax ${BASE_DIR}/CentOS/gluster-setup.sh" \
+ test_syntax ${BASE_DIR}/CentOS/gluster-setup.sh \
+ || ((failed++))
+
+testit "test shellcheck ${BASE_DIR}/CentOS/gluster-setup.sh" \
+ test_shellcheck ${BASE_DIR}/CentOS/gluster-setup.sh \
+ || ((failed++))
+
+testit "test script syntax ${BASE_DIR}/gluster-object/CentOS/docker-gluster-swift/update_gluster_vol.sh" \
+ test_syntax ${BASE_DIR}/gluster-object/CentOS/docker-gluster-swift/update_gluster_vol.sh \
+ || ((failed++))
+
+testit "test shellcheck ${BASE_DIR}/gluster-object/CentOS/docker-gluster-swift/update_gluster_vol.sh" \
+ test_shellcheck ${BASE_DIR}/gluster-object/CentOS/docker-gluster-swift/update_gluster_vol.sh \
+ || ((failed++))
+
+
+testok $0 ${failed}